function [ output ] = edge_filter( img, x_del, y_del, min_size )
%EDGE_FILTER Hledání silnice pomocí hran
%	[filter] = EDGE_FILTER(vstupní obraz, dělitel x, dělitel y, minimálni velikost)
%	
%	dělitel: určuje velikost okna pro určení silnice (velikost je určena dělením velikosti obrazu)
%	minimálni velikost: minimálni velikost oblasti ve výsledném obrazu
%	
%	See also FINAL_FUNCTION, HSV_FILTER, EDGE_FILTER.

%% hrany detektor oblasti - funguje

img_grey = rgb2gray(img);
img_hrany= edge(img_grey,'canny');


[x y] = size(img_hrany);

size_x=int32(x/x_del);
size_y=int32(y/y_del);

img_out=ones(x,y);

for i=1:size_x:x-size_x
    for j=1:size_y:y-size_y
        if(sum(sum(img_hrany(i:i+size_x,j:j+size_y)))>=1)
             img_out(i:i+size_x,j:j+size_y)=0;
        end
       
    end
end

img_out = bwareaopen(img_out,min_size);
img_out = imfill(img_out, 'holes');
output = img_out;


end

